@article{cai2022randomized,
 author = {Cai, Ruisi and Zhang, Zhenyu and Chen, Tianlong and Chen, Xiaohan and Wang, Zhangyang},
 journal = {Advances in Neural Information Processing Systems},
 pages = {33876--33889},
 title = {Randomized Channel Shuffling: Minimal-Overhead Backdoor Attack Detection without Clean Datasets},
 volume = {35},
 year = {2022}
}

@misc{polarizer,
 author = {{Wikipedia contributors}},
 note = {\url{https://en.wikipedia.org/wiki/Polarizer}; accessed 10-May-2023},
 title = {Polarizer --- {Wikipedia}{,} The Free Encyclopedia},
 url = {https://en.wikipedia.org/w/index.php?title=Polarizer&oldid=1152014034},
 year = {2023}
}

@inproceedings{bottou2007tradeoffs,
 author = {L{\'{e}}on Bottou and
Olivier Bousquet},
 booktitle = {Advances in Neural Information Processing Systems 20, Proceedings
of the Twenty-First Annual Conference on Neural Information Processing
Systems, Vancouver, British Columbia, Canada, December 3-6, 2007},
 editor = {John C. Platt and
Daphne Koller and
Yoram Singer and
Sam T. Roweis},
 pages = {161--168},
 publisher = {Curran Associates, Inc.},
 title = {The Tradeoffs of Large Scale Learning},
 year = {2007}
}

@inproceedings{krizhevsky2017imagenet,
 author = {Alex Krizhevsky and
Ilya Sutskever and
Geoffrey E. Hinton},
 booktitle = {Advances in Neural Information Processing Systems 25: 26th Annual
Conference on Neural Information Processing Systems 2012. Proceedings
of a meeting held December 3-6, 2012, Lake Tahoe, Nevada, United States},
 editor = {Peter L. Bartlett and
Fernando C. N. Pereira and
Christopher J. C. Burges and
L{\'{e}}on Bottou and
Kilian Q. Weinberger},
 pages = {1106--1114},
 title = {ImageNet Classification with Deep Convolutional Neural Networks},
 year = {2012}
}

@article{ma2022beatrix,
 author = {Ma, Wanlun and Wang, Derui and Sun, Ruoxi and Xue, Minhui and Wen, Sheng and Xiang, Yang},
 journal = {ArXiv preprint},
 title = {The" Beatrix''Resurrections: Robust Backdoor Detection via Gram Matrices},
 volume = {abs/2209.11715},
 year = {2022}
}

@inproceedings{ioffe2015batch,
 author = {Sergey Ioffe and
Christian Szegedy},
 booktitle = {Proceedings of the 32nd International Conference on Machine Learning,
{ICML} 2015, Lille, France, 6-11 July 2015},
 editor = {Francis R. Bach and
David M. Blei},
 pages = {448--456},
 publisher = {JMLR.org},
 series = {{JMLR} Workshop and Conference Proceedings},
 title = {Batch Normalization: Accelerating Deep Network Training by Reducing
Internal Covariate Shift},
 volume = {37},
 year = {2015}
}

@inproceedings{dong2021black,
 author = {Yinpeng Dong and
Xiao Yang and
Zhijie Deng and
Tianyu Pang and
Zihao Xiao and
Hang Su and
Jun Zhu},
 booktitle = {2021 {IEEE/CVF} International Conference on Computer Vision, {ICCV}
2021, Montreal, QC, Canada, October 10-17, 2021},
 doi = {10.1109/ICCV48922.2021.01617},
 pages = {16462--16471},
 publisher = {{IEEE}},
 title = {Black-box Detection of Backdoor Attacks with Limited Information and
Data},
 year = {2021}
}

@inproceedings{guo2021aeva,
 author = {Junfeng Guo and
Ang Li and
Cong Liu},
 booktitle = {The Tenth International Conference on Learning Representations, {ICLR}
2022, Virtual Event, April 25-29, 2022},
 publisher = {OpenReview.net},
 title = {{AEVA:} Black-box Backdoor Detection Using Adversarial Extreme Value
Analysis},
 year = {2022}
}

%%% AT
@inproceedings{madry2017towards,
 author = {Aleksander Madry and
Aleksandar Makelov and
Ludwig Schmidt and
Dimitris Tsipras and
Adrian Vladu},
 booktitle = {6th International Conference on Learning Representations, {ICLR} 2018,
Vancouver, BC, Canada, April 30 - May 3, 2018, Conference Track Proceedings},
 publisher = {OpenReview.net},
 title = {Towards Deep Learning Models Resistant to Adversarial Attacks},
 year = {2018}
}

@inproceedings{goodfellow2014explaining,
 author = {Ian J. Goodfellow and
Jonathon Shlens and
Christian Szegedy},
 booktitle = {3rd International Conference on Learning Representations, {ICLR} 2015,
San Diego, CA, USA, May 7-9, 2015, Conference Track Proceedings},
 editor = {Yoshua Bengio and
Yann LeCun},
 title = {Explaining and Harnessing Adversarial Examples},
 year = {2015}
}

@article{bai2021recent,
  title={Recent advances in adversarial training for adversarial robustness},
  author={Bai, Tao and Luo, Jinqi and Zhao, Jun and Wen, Bihan and Wang, Qian},
  journal={arXiv preprint arXiv:2102.01356},
  year={2021}
}

@article{andriushchenko2020understanding,
  title={Understanding and improving fast adversarial training},
  author={Andriushchenko, Maksym and Flammarion, Nicolas},
  journal={Advances in Neural Information Processing Systems},
  volume={33},
  pages={16048--16059},
  year={2020}
}


%%%


@inproceedings{carlini2017towards,
 author = {Carlini, Nicholas and Wagner, David},
 booktitle = {2017 ieee symposium on security and privacy (sp)},
 organization = {Ieee},
 pages = {39--57},
 title = {Towards evaluating the robustness of neural networks},
 year = {2017}
}

@inproceedings{madrytowards,
 author = {Aleksander Madry and
Aleksandar Makelov and
Ludwig Schmidt and
Dimitris Tsipras and
Adrian Vladu},
 booktitle = {6th International Conference on Learning Representations, {ICLR} 2018,
Vancouver, BC, Canada, April 30 - May 3, 2018, Conference Track Proceedings},
 publisher = {OpenReview.net},
 title = {Towards Deep Learning Models Resistant to Adversarial Attacks},
 year = {2018}
}

@inproceedings{lu2021exploring,
 author = {Zhiyun Lu and
Wei Han and
Yu Zhang and
Liangliang Cao},
 booktitle = {Interspeech 2021, 22nd Annual Conference of the International Speech
Communication Association, Brno, Czechia, 30 August - 3 September
2021},
 doi = {10.21437/Interspeech.2021-1668},
 editor = {Hynek Hermansky and
Honza Cernock{\'{y}} and
Luk{\'{a}}s Burget and
Lori Lamel and
Odette Scharenborg and
Petr Motl{\'{\i}}cek},
 pages = {3460--3464},
 publisher = {{ISCA}},
 title = {Exploring Targeted Universal Adversarial Perturbations to End-to-End
{ASR} Models},
 year = {2021}
}

@inproceedings{he2016deep,
 author = {Kaiming He and
Xiangyu Zhang and
Shaoqing Ren and
Jian Sun},
 booktitle = {2016 {IEEE} Conference on Computer Vision and Pattern Recognition,
{CVPR} 2016, Las Vegas, NV, USA, June 27-30, 2016},
 doi = {10.1109/CVPR.2016.90},
 pages = {770--778},
 publisher = {{IEEE} Computer Society},
 title = {Deep Residual Learning for Image Recognition},
 year = {2016}
}

@article{adjabi2020past,
 author = {Adjabi, Insaf and Ouahabi, Abdeldjalil and Benzaoui, Amir and Taleb-Ahmed, Abdelmalik},
 journal = {Electronics},
 number = {8},
 pages = {1188},
 publisher = {MDPI},
 title = {Past, present, and future of face recognition: A review},
 volume = {9},
 year = {2020}
}

@article{liu2020computing,
 author = {Liu, Liangkai and Lu, Sidi and Zhong, Ren and Wu, Baofu and Yao, Yongtao and Zhang, Qingyang and Shi, Weisong},
 journal = {IEEE Internet of Things Journal},
 number = {8},
 pages = {6469--6486},
 publisher = {IEEE},
 title = {Computing systems for autonomous driving: State of the art and challenges},
 volume = {8},
 year = {2020}
}

@article{tournier2019mrtrix3,
 author = {Tournier, J-Donald and Smith, Robert and Raffelt, David and Tabbara, Rami and Dhollander, Thijs and Pietsch, Maximilian and Christiaens, Daan and Jeurissen, Ben and Yeh, Chun-Hung and Connelly, Alan},
 journal = {Neuroimage},
 pages = {116137},
 publisher = {Elsevier},
 title = {MRtrix3: A fast, flexible and open software framework for medical image processing and visualisation},
 volume = {202},
 year = {2019}
}

@article{liu2020privacy,
 author = {Liu, Ximeng and Xie, Lehui and Wang, Yaopeng and Zou, Jian and Xiong, Jinbo and Ying, Zuobin and Vasilakos, Athanasios V},
 journal = {IEEE Access},
 pages = {4566--4593},
 publisher = {IEEE},
 title = {Privacy and security issues in deep learning: A survey},
 volume = {9},
 year = {2020}
}

@article{chen2022effective,
 author = {Chen, Weixin and Wu, Baoyuan and Wang, Haoqian},
 journal = {Advances in Neural Information Processing Systems},
 pages = {9727--9737},
 title = {Effective backdoor defense by exploiting sensitivity of poisoned samples},
 volume = {35},
 year = {2022}
}


@inproceedings{croce2019sparse,
 author = {Francesco Croce and
Matthias Hein},
 booktitle = {2019 {IEEE/CVF} International Conference on Computer Vision, {ICCV}
2019, Seoul, Korea (South), October 27 - November 2, 2019},
 doi = {10.1109/ICCV.2019.00482},
 pages = {4723--4731},
 publisher = {{IEEE}},
 title = {Sparse and Imperceivable Adversarial Attacks},
 year = {2019}
}

@article{gu2019badnets,
 author = {Gu, Tianyu and Liu, Kang and Dolan-Gavitt, Brendan and Garg, Siddharth},
 journal = {IEEE Access},
 pages = {47230--47244},
 publisher = {IEEE},
 title = {Badnets: Evaluating backdooring attacks on deep neural networks},
 volume = {7},
 year = {2019}
}

@inproceedings{Trojannn,
 author = {Yingqi Liu and
Shiqing Ma and
Yousra Aafer and
Wen-Chuan Lee and
Juan Zhai and
Weihang Wang and
Xiangyu Zhang},
 booktitle = {25th Annual Network and Distributed System Security Symposium, {NDSS}
2018, San Diego, California, USA, February 18-221, 2018},
 publisher = {The Internet Society},
 title = {Trojaning Attack on Neural Networks},
 year = {2018}
}

@article{gao2020backdoor,
 author = {Gao, Yansong and Gia Doan, Bao and Zhang, Zhi and Ma, Siqi and Zhang, Jiliang and Fu, Anmin and Nepal, Surya and Kim, Hyoungshick},
 journal = {arXiv e-prints},
 pages = {arXiv--2007},
 title = {Backdoor Attacks and Countermeasures on Deep Learning: A Comprehensive Review},
 year = {2020}
}

@inproceedings{shafahi2018poison,
 author = {Ali Shafahi and
W. Ronny Huang and
Mahyar Najibi and
Octavian Suciu and
Christoph Studer and
Tudor Dumitras and
Tom Goldstein},
 booktitle = {Advances in Neural Information Processing Systems 31: Annual Conference
on Neural Information Processing Systems 2018, NeurIPS 2018, December
3-8, 2018, Montr{\'{e}}al, Canada},
 editor = {Samy Bengio and
Hanna M. Wallach and
Hugo Larochelle and
Kristen Grauman and
Nicol{\`{o}} Cesa{-}Bianchi and
Roman Garnett},
 pages = {6106--6116},
 title = {Poison Frogs! Targeted Clean-Label Poisoning Attacks on Neural Networks},
 year = {2018}
}

@inproceedings{li2021invisible,
 author = {Yuezun Li and
Yiming Li and
Baoyuan Wu and
Longkang Li and
Ran He and
Siwei Lyu},
 booktitle = {2021 {IEEE/CVF} International Conference on Computer Vision, {ICCV}
2021, Montreal, QC, Canada, October 10-17, 2021},
 doi = {10.1109/ICCV48922.2021.01615},
 pages = {16443--16452},
 publisher = {{IEEE}},
 title = {Invisible Backdoor Attack with Sample-Specific Triggers},
 year = {2021}
}

@inproceedings{wang2019neural,
 author = {Wang, Bolun and Yao, Yuanshun and Shan, Shawn and Li, Huiying and Viswanath, Bimal and Zheng, Haitao and Zhao, Ben Y},
 booktitle = {2019 IEEE Symposium on Security and Privacy (SP)},
 organization = {IEEE},
 pages = {707--723},
 title = {Neural cleanse: Identifying and mitigating backdoor attacks in neural networks},
 year = {2019}
}

@inproceedings{yu2022availability,
 author = {Yu, Da and Zhang, Huishuai and Chen, Wei and Yin, Jian and Liu, Tie-Yan},
 booktitle = {Proceedings of the 28th ACM SIGKDD Conference on Knowledge Discovery and Data Mining},
 pages = {2367--2376},
 title = {Availability attacks create shortcuts},
 year = {2022}
}

@inproceedings{liu2018fine,
 author = {Liu, Kang and Dolan-Gavitt, Brendan and Garg, Siddharth},
 booktitle = {Research in Attacks, Intrusions, and Defenses: 21st International Symposium, RAID 2018, Heraklion, Crete, Greece, September 10-12, 2018, Proceedings 21},
 organization = {Springer},
 pages = {273--294},
 title = {Fine-pruning: Defending against backdooring attacks on deep neural networks},
 year = {2018}
}

@inproceedings{wu2021adversarial,
 author = {Dongxian Wu and
Yisen Wang},
 booktitle = {Advances in Neural Information Processing Systems 34: Annual Conference
on Neural Information Processing Systems 2021, NeurIPS 2021, December
6-14, 2021, virtual},
 editor = {Marc'Aurelio Ranzato and
Alina Beygelzimer and
Yann N. Dauphin and
Percy Liang and
Jennifer Wortman Vaughan},
 pages = {16913--16925},
 title = {Adversarial Neuron Pruning Purifies Backdoored Deep Models},
 year = {2021}
}

@inproceedings{wangunicorn,
 author = {Wang, Zhenting and Mei, Kai and Zhai, Juan and Ma, Shiqing},
 booktitle = {The Eleventh International Conference on Learning Representations},
 title = {UNICORN: A Unified Backdoor Trigger Inversion Framework},
 year = {2023}
}

@article{zhu2023enhancing,
 author = {Zhu, Mingli and Wei, Shaokui and Shen, Li and Fan, Yanbo and Wu, Baoyuan},
 journal = {ArXiv preprint},
 title = {Enhancing Fine-Tuning Based Backdoor Defense with Sharpness-Aware Minimization},
 volume = {abs/2304.11823},
 year = {2023}
}

@inproceedings{li2021neural,
 author = {Yige Li and
Xixiang Lyu and
Nodens Koren and
Lingjuan Lyu and
Bo Li and
Xingjun Ma},
 booktitle = {9th International Conference on Learning Representations, {ICLR} 2021,
Virtual Event, Austria, May 3-7, 2021},
 publisher = {OpenReview.net},
 title = {Neural Attention Distillation: Erasing Backdoor Triggers from Deep
Neural Networks},
 year = {2021}
}

@article{chen2017targeted,
 author = {Chen, Xinyun and Liu, Chang and Li, Bo and Lu, Kimberly and Song, Dawn},
 journal = {arXiv e-prints},
 pages = {arXiv--1712},
 title = {Targeted Backdoor Attacks on Deep Learning Systems Using Data Poisoning},
 year = {2017}
}

@inproceedings{zeng2021rethinking,
 author = {Yi Zeng and
Won Park and
Z. Morley Mao and
Ruoxi Jia},
 booktitle = {2021 {IEEE/CVF} International Conference on Computer Vision, {ICCV}
2021, Montreal, QC, Canada, October 10-17, 2021},
 doi = {10.1109/ICCV48922.2021.01616},
 pages = {16453--16461},
 publisher = {{IEEE}},
 title = {Rethinking the Backdoor Attacks' Triggers: {A} Frequency Perspective},
 year = {2021}
}

@inproceedings{nguyen2021wanet,
 author = {Tuan Anh Nguyen and
Anh Tuan Tran},
 booktitle = {9th International Conference on Learning Representations, {ICLR} 2021,
Virtual Event, Austria, May 3-7, 2021},
 publisher = {OpenReview.net},
 title = {WaNet - Imperceptible Warping-based Backdoor Attack},
 year = {2021}
}

@inproceedings{nguyen2020input,
 author = {Tuan Anh Nguyen and
Anh Tran},
 booktitle = {Advances in Neural Information Processing Systems 33: Annual Conference
on Neural Information Processing Systems 2020, NeurIPS 2020, December
6-12, 2020, virtual},
 editor = {Hugo Larochelle and
Marc'Aurelio Ranzato and
Raia Hadsell and
Maria{-}Florina Balcan and
Hsuan{-}Tien Lin},
 title = {Input-Aware Dynamic Backdoor Attack},
 year = {2020}
}

@inproceedings{barni2019new,
 author = {Barni, Mauro and Kallas, Kassem and Tondi, Benedetta},
 booktitle = {2019 IEEE International Conference on Image Processing (ICIP)},
 organization = {IEEE},
 pages = {101--105},
 title = {A new backdoor attack in cnns by training set corruption without label poisoning},
 year = {2019}
}

@inproceedings{li2021anti,
 author = {Yige Li and
Xixiang Lyu and
Nodens Koren and
Lingjuan Lyu and
Bo Li and
Xingjun Ma},
 booktitle = {Advances in Neural Information Processing Systems 34: Annual Conference
on Neural Information Processing Systems 2021, NeurIPS 2021, December
6-14, 2021, virtual},
 editor = {Marc'Aurelio Ranzato and
Alina Beygelzimer and
Yann N. Dauphin and
Percy Liang and
Jennifer Wortman Vaughan},
 pages = {14900--14912},
 title = {Anti-Backdoor Learning: Training Clean Models on Poisoned Data},
 year = {2021}
}

@inproceedings{huang2022backdoor,
 author = {Kunzhe Huang and
Yiming Li and
Baoyuan Wu and
Zhan Qin and
Kui Ren},
 booktitle = {The Tenth International Conference on Learning Representations, {ICLR}
2022, Virtual Event, April 25-29, 2022},
 publisher = {OpenReview.net},
 title = {Backdoor Defense via Decoupling the Training Process},
 year = {2022}
}


@inproceedings{zeng2022adversarial,
 author = {Yi Zeng and
Si Chen and
Won Park and
Zhuoqing Mao and
Ming Jin and
Ruoxi Jia},
 booktitle = {The Tenth International Conference on Learning Representations, {ICLR}
2022, Virtual Event, April 25-29, 2022},
 publisher = {OpenReview.net},
 title = {Adversarial Unlearning of Backdoors via Implicit Hypergradient},
 year = {2022}
}

@inproceedings{zheng2022data,
 author = {Zheng, Runkai and Tang, Rongjun and Li, Jianze and Liu, Li},
 booktitle = {Computer Vision--ECCV 2022: 17th European Conference, Tel Aviv, Israel, October 23--27, 2022, Proceedings, Part V},
 organization = {Springer},
 pages = {175--191},
 title = {Data-free backdoor removal based on channel lipschitzness},
 year = {2022}
}

@article{zheng2022pre,
 author = {Zheng, Runkai and Tang, Rongjun and Li, Jianze and Liu, Li},
 journal = {Advances in Neural Information Processing Systems},
 pages = {18667--18680},
 title = {Pre-activation Distributions Expose Backdoor Neurons},
 volume = {35},
 year = {2022}
}

@inproceedings{wubackdoorbench,
 author = {Wu, Baoyuan and Chen, Hongrui and Zhang, Mingda and Zhu, Zihao and Wei, Shaokui and Yuan, Danni and Shen, Chao},
 booktitle = {Thirty-sixth Conference on Neural Information Processing Systems Datasets and Benchmarks Track},
 title = {BackdoorBench: A Comprehensive Benchmark of Backdoor Learning},
 year = {2022}
}

@article{hochreiter1997flat,
 author = {Hochreiter, Sepp and Schmidhuber, J{\"u}rgen},
 journal = {Neural computation},
 number = {1},
 pages = {1--42},
 publisher = {MIT Press One Rogers Street, Cambridge, MA 02142-1209, USA journals-info~…},
 title = {Flat minima},
 volume = {9},
 year = {1997}
}

@inproceedings{chaudhari2019entropy,
 author = {Pratik Chaudhari and
Anna Choromanska and
Stefano Soatto and
Yann LeCun and
Carlo Baldassi and
Christian Borgs and
Jennifer T. Chayes and
Levent Sagun and
Riccardo Zecchina},
 booktitle = {5th International Conference on Learning Representations, {ICLR} 2017,
Toulon, France, April 24-26, 2017, Conference Track Proceedings},
 publisher = {OpenReview.net},
 title = {Entropy-SGD: Biasing Gradient Descent Into Wide Valleys},
 year = {2017}
}

@misc{yu2022robust,
 author = {Yu, Chaojian and Han, Bo and Gong, Mingming and Shen, Li and Ge, Shiming and Du, Bo and Liu, Tongliang},
 journal = {ArXiv preprint},
 title = {Robust weight perturbation for adversarial training},
 volume = {abs/2205.14826},
 year = {2022}
}

@inproceedings{foret2021sharpnessaware,
 author = {Pierre Foret and
Ariel Kleiner and
Hossein Mobahi and
Behnam Neyshabur},
 booktitle = {9th International Conference on Learning Representations, {ICLR} 2021,
Virtual Event, Austria, May 3-7, 2021},
 publisher = {OpenReview.net},
 title = {Sharpness-aware Minimization for Efficiently Improving Generalization},
 year = {2021}
}

@inproceedings{kwon2021asam,
 author = {Jungmin Kwon and
Jeongseop Kim and
Hyunseo Park and
In Kwon Choi},
 booktitle = {Proceedings of the 38th International Conference on Machine Learning,
{ICML} 2021, 18-24 July 2021, Virtual Event},
 editor = {Marina Meila and
Tong Zhang},
 pages = {5905--5914},
 publisher = {{PMLR}},
 series = {Proceedings of Machine Learning Research},
 title = {{ASAM:} Adaptive Sharpness-Aware Minimization for Scale-Invariant
Learning of Deep Neural Networks},
 volume = {139},
 year = {2021}
}

@article{li2022efficient,
 author = {Li, Tao and Yan, Weihao and Lei, Zehao and Wu, Yingwen and Fang, Kun and Yang, Ming and Huang, Xiaolin},
 journal = {arXiv e-prints},
 pages = {arXiv--2211},
 title = {Efficient Generalization Improvement Guided by Random Weight Perturbation},
 year = {2022}
}

@inproceedings{zhuang2022surrogate,
 author = {Juntang Zhuang and
Boqing Gong and
Liangzhe Yuan and
Yin Cui and
Hartwig Adam and
Nicha C. Dvornek and
Sekhar Tatikonda and
James S. Duncan and
Ting Liu},
 booktitle = {The Tenth International Conference on Learning Representations, {ICLR}
2022, Virtual Event, April 25-29, 2022},
 publisher = {OpenReview.net},
 title = {Surrogate Gap Minimization Improves Sharpness-Aware Training},
 year = {2022}
}

@inproceedings{chen2019detecting,
 author = {Chen, Bryant and Carvalho, Wilka and Baracaldo, Nathalie and Ludwig, Heiko and Edwards, Benjamin and Lee, Taesung and Molloy, Ian and Srivastava, Biplav},
 booktitle = {Workshop on Artificial Intelligence Safety},
 organization = {CEUR-WS},
 title = {Detecting backdoor attacks on deep neural networks by activation clustering},
 year = {2019}
}

@inproceedings{wu2020adversarial,
 author = {Dongxian Wu and
Shu{-}Tao Xia and
Yisen Wang},
 booktitle = {Advances in Neural Information Processing Systems 33: Annual Conference
on Neural Information Processing Systems 2020, NeurIPS 2020, December
6-12, 2020, virtual},
 editor = {Hugo Larochelle and
Marc'Aurelio Ranzato and
Raia Hadsell and
Maria{-}Florina Balcan and
Hsuan{-}Tien Lin},
 title = {Adversarial Weight Perturbation Helps Robust Generalization},
 year = {2020}
}

@inproceedings{wang2020improving,
 author = {Yisen Wang and
Difan Zou and
Jinfeng Yi and
James Bailey and
Xingjun Ma and
Quanquan Gu},
 booktitle = {8th International Conference on Learning Representations, {ICLR} 2020,
Addis Ababa, Ethiopia, April 26-30, 2020},
 publisher = {OpenReview.net},
 title = {Improving Adversarial Robustness Requires Revisiting Misclassified
Examples},
 year = {2020}
}

@inproceedings{gupta2019ciidefence,
 author = {Puneet Gupta and
Esa Rahtu},
 booktitle = {2019 {IEEE/CVF} International Conference on Computer Vision, {ICCV}
2019, Seoul, Korea (South), October 27 - November 2, 2019},
 doi = {10.1109/ICCV.2019.00681},
 pages = {6707--6716},
 publisher = {{IEEE}},
 title = {CIIDefence: Defeating Adversarial Attacks by Fusing Class-Specific
Image Inpainting and Image Denoising},
 year = {2019}
}

@inproceedings{liao2018defense,
 author = {Fangzhou Liao and
Ming Liang and
Yinpeng Dong and
Tianyu Pang and
Xiaolin Hu and
Jun Zhu},
 booktitle = {2018 {IEEE} Conference on Computer Vision and Pattern Recognition,
{CVPR} 2018, Salt Lake City, UT, USA, June 18-22, 2018},
 doi = {10.1109/CVPR.2018.00191},
 pages = {1778--1787},
 publisher = {{IEEE} Computer Society},
 title = {Defense Against Adversarial Attacks Using High-Level Representation
Guided Denoiser},
 year = {2018}
}

@inproceedings{xie2019feature,
 author = {Cihang Xie and
Yuxin Wu and
Laurens van der Maaten and
Alan L. Yuille and
Kaiming He},
 booktitle = {{IEEE} Conference on Computer Vision and Pattern Recognition, {CVPR}
2019, Long Beach, CA, USA, June 16-20, 2019},
 doi = {10.1109/CVPR.2019.00059},
 pages = {501--509},
 publisher = {Computer Vision Foundation / {IEEE}},
 title = {Feature Denoising for Improving Adversarial Robustness},
 year = {2019}
}

@article{krizhevsky2009learning,
 author = {Krizhevsky, Alex and others},
 title = {Learning multiple layers of features from tiny images},
 year = {2009}
}

@inproceedings{stallkamp2011german,
 author = {Stallkamp, Johannes and Schlipsing, Marc and Salmen, Jan and Igel, Christian},
 booktitle = {The 2011 international joint conference on neural networks},
 organization = {IEEE},
 pages = {1453--1460},
 title = {The German traffic sign recognition benchmark: a multi-class classification competition},
 year = {2011}
}

@article{le2015tiny,
 author = {Le, Ya and Yang, Xuan},
 journal = {CS 231N},
 number = {7},
 pages = {3},
 title = {Tiny imagenet visual recognition challenge},
 volume = {7},
 year = {2015}
}

@inproceedings{he2016identity,
 author = {He, Kaiming and Zhang, Xiangyu and Ren, Shaoqing and Sun, Jian},
 booktitle = {Computer Vision--ECCV 2016: 14th European Conference, Amsterdam, The Netherlands, October 11--14, 2016, Proceedings, Part IV 14},
 organization = {Springer},
 pages = {630--645},
 title = {Identity mappings in deep residual networks},
 year = {2016}
}

@inproceedings{simonyan2014very,
 author = {Karen Simonyan and
Andrew Zisserman},
 booktitle = {3rd International Conference on Learning Representations, {ICLR} 2015,
San Diego, CA, USA, May 7-9, 2015, Conference Track Proceedings},
 editor = {Yoshua Bengio and
Yann LeCun},
 title = {Very Deep Convolutional Networks for Large-Scale Image Recognition},
 year = {2015}
}

@inproceedings{feng2020regularized,
 author = {Huijie Feng and
Chunpeng Wu and
Guoyang Chen and
Weifeng Zhang and
Yang Ning},
 booktitle = {The Thirty-Fourth {AAAI} Conference on Artificial Intelligence, {AAAI}
2020, The Thirty-Second Innovative Applications of Artificial Intelligence
Conference, {IAAI} 2020, The Tenth {AAAI} Symposium on Educational
Advances in Artificial Intelligence, {EAAI} 2020, New York, NY, USA,
February 7-12, 2020},
 pages = {3858--3865},
 publisher = {{AAAI} Press},
 title = {Regularized Training and Tight Certification for Randomized Smoothed
Classifier with Provable Robustness},
 year = {2020}
}

@inproceedings{cohen2019certified,
 author = {Jeremy M. Cohen and
Elan Rosenfeld and
J. Zico Kolter},
 booktitle = {Proceedings of the 36th International Conference on Machine Learning,
{ICML} 2019, 9-15 June 2019, Long Beach, California, {USA}},
 editor = {Kamalika Chaudhuri and
Ruslan Salakhutdinov},
 pages = {1310--1320},
 publisher = {{PMLR}},
 series = {Proceedings of Machine Learning Research},
 title = {Certified Adversarial Robustness via Randomized Smoothing},
 volume = {97},
 year = {2019}
}

@inproceedings{selvaraju2017grad,
 author = {Ramprasaath R. Selvaraju and
Michael Cogswell and
Abhishek Das and
Ramakrishna Vedantam and
Devi Parikh and
Dhruv Batra},
 booktitle = {{IEEE} International Conference on Computer Vision, {ICCV} 2017, Venice,
Italy, October 22-29, 2017},
 doi = {10.1109/ICCV.2017.74},
 pages = {618--626},
 publisher = {{IEEE} Computer Society},
 title = {Grad-CAM: Visual Explanations from Deep Networks via Gradient-Based
Localization},
 year = {2017}
}

@article{xiao2018iot,
 author = {Xiao, Liang and Wan, Xiaoyue and Lu, Xiaozhen and Zhang, Yanyong and Wu, Di},
 journal = {IEEE Signal Processing Magazine},
 number = {5},
 pages = {41--49},
 publisher = {IEEE},
 title = {IoT security techniques based on machine learning: How do IoT devices use AI to enhance security?},
 volume = {35},
 year = {2018}
}

@article{van2008visualizing,
 author = {Van der Maaten, Laurens and Hinton, Geoffrey},
 journal = {Journal of machine learning research},
 number = {11},
 title = {Visualizing data using t-SNE.},
 volume = {9},
 year = {2008}
}

@inproceedings{wei2023mean,
 author = {Wei, Shaokui and Liu, Jiayin and Li, Bing and Zha, Hongyuan},
 booktitle = {International Conference on Artificial Intelligence and Statistics},
 organization = {PMLR},
 pages = {4602--4628},
 title = {Mean Parity Fair Regression in RKHS},
 year = {2023}
}


@inproceedings{moosavi2016deepfool,
  title={Deepfool: a simple and accurate method to fool deep neural networks},
  author={Moosavi-Dezfooli, Seyed-Mohsen and Fawzi, Alhussein and Frossard, Pascal},
  booktitle={Proceedings of the IEEE conference on computer vision and pattern recognition},
  pages={2574--2582},
  year={2016}
}

@incollection{kurakin2018adversarial,
  title={Adversarial examples in the physical world},
  author={Kurakin, Alexey and Goodfellow, Ian J and Bengio, Samy},
  booktitle={Artificial intelligence safety and security},
  pages={99--112},
  year={2018},
  publisher={Chapman and Hall/CRC}
}

@inproceedings{ilyas2018black,
  title={Black-box adversarial attacks with limited queries and information},
  author={Ilyas, Andrew and Engstrom, Logan and Athalye, Anish and Lin, Jessy},
  booktitle={International conference on machine learning},
  pages={2137--2146},
  year={2018},
  organization={PMLR}
}


@article{xiong2016optical,
  title={Optical polarizer based on the mechanical effect of light},
  author={Xiong, Hao and Kong, Cui and Yang, Xiaoxue and Wu, Ying},
  journal={Optics Letters},
  volume={41},
  number={18},
  pages={4316--4319},
  year={2016},
  publisher={Optica Publishing Group}
}

@article{shao2022open,
  title={Open-set adversarial defense with clean-adversarial mutual learning},
  author={Shao, Rui and Perera, Pramuditha and Yuen, Pong C and Patel, Vishal M},
  journal={International Journal of Computer Vision},
  volume={130},
  number={4},
  pages={1070--1087},
  year={2022},
  publisher={Springer}
}

@inproceedings{shao2020open,
  title={Open-set adversarial defense},
  author={Shao, Rui and Perera, Pramuditha and Yuen, Pong C and Patel, Vishal M},
  booktitle={Computer Vision--ECCV 2020: 16th European Conference, Glasgow, UK, August 23--28, 2020, Proceedings, Part XVII 16},
  pages={682--698},
  year={2020},
  organization={Springer}
}

@inproceedings{deng2009imagenet,
  title={Imagenet: A large-scale hierarchical image database},
  author={Deng, Jia and Dong, Wei and Socher, Richard and Li, Li-Jia and Li, Kai and Fei-Fei, Li},
  booktitle={2009 IEEE conference on computer vision and pattern recognition},
  pages={248--255},
  year={2009},
  organization={Ieee}
}

%%%%

@article{wei2024shared,
  title={Shared adversarial unlearning: Backdoor mitigation by unlearning shared adversarial examples},
  author={Wei, Shaokui and Zhang, Mingda and Zha, Hongyuan and Wu, Baoyuan},
  journal={Advances in Neural Information Processing Systems},
  volume={36},
  year={2024}
}

@article{min2024towards,
  title={Towards stable backdoor purification through feature shift tuning},
  author={Min, Rui and Qin, Zeyu and Shen, Li and Cheng, Minhao},
  journal={Advances in Neural Information Processing Systems},
  volume={36},
  year={2024}
}

@inproceedings{walmer2022dual,
  title={Dual-key multimodal backdoors for visual question answering},
  author={Walmer, Matthew and Sikka, Karan and Sur, Indranil and Shrivastava, Abhinav and Jha, Susmit},
  booktitle={Proceedings of the IEEE/CVF Conference on computer vision and pattern recognition},
  pages={15375--15385},
  year={2022}
}


@inproceedings{bansal2023cleanclip,
  title={Cleanclip: Mitigating data poisoning attacks in multimodal contrastive learning},
  author={Bansal, Hritik and Singhi, Nishad and Yang, Yu and Yin, Fan and Grover, Aditya and Chang, Kai-Wei},
  booktitle={Proceedings of the IEEE/CVF International Conference on Computer Vision},
  pages={112--123},
  year={2023}
}

@inproceedings{radford2021learning,
  title={Learning transferable visual models from natural language supervision},
  author={Radford, Alec and Kim, Jong Wook and Hallacy, Chris and Ramesh, Aditya and Goh, Gabriel and Agarwal, Sandhini and Sastry, Girish and Askell, Amanda and Mishkin, Pamela and Clark, Jack and others},
  booktitle={International conference on machine learning},
  pages={8748--8763},
  year={2021},
  organization={PMLR}
}

@inproceedings{sharma2018conceptual,
  title={Conceptual captions: A cleaned, hypernymed, image alt-text dataset for automatic image captioning},
  author={Sharma, Piyush and Ding, Nan and Goodman, Sebastian and Soricut, Radu},
  booktitle={Proceedings of the 56th Annual Meeting of the Association for Computational Linguistics (Volume 1: Long Papers)},
  pages={2556--2565},
  year={2018}
}

@article{liang2023badclip,
  title={Badclip: Dual-embedding guided backdoor attack on multimodal contrastive learning},
  author={Liang, Siyuan and Zhu, Mingli and Liu, Aishan and Wu, Baoyuan and Cao, Xiaochun and Chang, Ee-Chien},
  journal={arXiv preprint arXiv:2311.12075},
  year={2023}
}

@inproceedings{
carlini2022poisoning,
title={Poisoning and Backdooring Contrastive Learning},
author={Nicholas Carlini and Andreas Terzis},
booktitle={International Conference on Learning Representations},
year={2022},
}

@article{yang2024robust,
  title={Robust Contrastive Language-Image Pretraining against Data Poisoning and Backdoor Attacks},
  author={Yang, Wenhan and Gao, Jingdong and Mirzasoleiman, Baharan},
  journal={Advances in Neural Information Processing Systems},
  volume={36},
  year={2024}
}

@inproceedings{zhu2023vdc,
  title={VDC: Versatile Data Cleanser for Detecting Dirty Samples via Visual-Linguistic Inconsistency},
  author={Zhu, Zihao and Zhang, Mingda and Wei, Shaokui and Wu, Bingzhe and Wu, Baoyuan},
  booktitle={The Twelfth International Conference on Learning Representations},
  year={2023}
}

@article{su2019one,
  title={One pixel attack for fooling deep neural networks},
  author={Su, Jiawei and Vargas, Danilo Vasconcellos and Sakurai, Kouichi},
  journal={IEEE Transactions on Evolutionary Computation},
  volume={23},
  number={5},
  pages={828--841},
  year={2019},
  publisher={IEEE}
}


@inproceedings{andriushchenko2020square,
  title={Square attack: a query-efficient black-box adversarial attack via random search},
  author={Andriushchenko, Maksym and Croce, Francesco and Flammarion, Nicolas and Hein, Matthias},
  booktitle={European conference on computer vision},
  pages={484--501},
  year={2020},
  organization={Springer}
}

@inproceedings{chen2020rays,
  title={Rays: A ray searching method for hard-label adversarial attack},
  author={Chen, Jinghui and Gu, Quanquan},
  booktitle={Proceedings of the 26th ACM SIGKDD International Conference on Knowledge Discovery \& Data Mining},
  pages={1739--1747},
  year={2020}
}

@inproceedings{huang2023t,
  title={T-sea: Transfer-based self-ensemble attack on object detection},
  author={Huang, Hao and Chen, Ziyan and Chen, Huanran and Wang, Yongtao and Zhang, Kevin},
  booktitle={Proceedings of the IEEE/CVF Conference on Computer Vision and Pattern Recognition},
  pages={20514--20523},
  year={2023}
}

@inproceedings{liu2017delving,
title={Delving into Transferable Adversarial Examples and Black-box Attacks},
author={Yanpei Liu and Xinyun Chen and Chang Liu and Dawn Song},
booktitle={International Conference on Learning Representations},
year={2017}
}

@article{liang2022adversarial,
  title={Adversarial attack and defense: A survey},
  author={Liang, Hongshuo and He, Erlu and Zhao, Yangyang and Jia, Zhe and Li, Hao},
  journal={Electronics},
  volume={11},
  number={8},
  pages={1283},
  year={2022},
  publisher={MDPI}
}

@article{kaur2020facial,
  title={Facial-recognition algorithms: A literature review},
  author={Kaur, Paramjit and Krishan, Kewal and Sharma, Suresh K and Kanchan, Tanuj},
  journal={Medicine, Science and the Law},
  volume={60},
  number={2},
  pages={131--139},
  year={2020},
  publisher={SAGE Publications Sage UK: London, England}
}




@inproceedings{biggio2018wild,
  title={Wild patterns: Ten years after the rise of adversarial machine learning},
  author={Biggio, Battista and Roli, Fabio},
  booktitle={Proceedings of the 2018 ACM SIGSAC Conference on Computer and Communications Security},
  pages={2154--2156},
  year={2018}
}


@inproceedings{kumar2020adversarial,
  title={Adversarial machine learning-industry perspectives},
  author={Kumar, Ram Shankar Siva and Nystr{\"o}m, Magnus and Lambert, John and Marshall, Andrew and Goertzel, Mario and Comissoneru, Andi and Swann, Matt and Xia, Sharon},
  booktitle={2020 IEEE security and privacy workshops (SPW)},
  pages={69--75},
  year={2020},
  organization={IEEE}
}

@inproceedings{kornblith2019similarity,
  title={Similarity of neural network representations revisited},
  author={Kornblith, Simon and Norouzi, Mohammad and Lee, Honglak and Hinton, Geoffrey},
  booktitle={International conference on machine learning},
  pages={3519--3529},
  year={2019},
  organization={PMLR}
}

@article{tran2018spectral,
  title={Spectral signatures in backdoor attacks},
  author={Tran, Brandon and Li, Jerry and Madry, Aleksander},
  journal={Advances in neural information processing systems},
  volume={31},
  year={2018}
}

@inproceedings{
liu2018signsgd,
title={sign{SGD} via Zeroth-Order Oracle},
author={Sijia Liu and Pin-Yu Chen and Xiangyi Chen and Mingyi Hong},
booktitle={International Conference on Learning Representations},
year={2019},
url={https://openreview.net/forum?id=BJe-DsC5Fm},
}

@inproceedings{cheng2019sign,
  title={Sign-OPT: A Query-Efficient Hard-label Adversarial Attack},
  author={Cheng, Minhao and Singh, Simranjit and Chen, Patrick H and Chen, Pin-Yu and Liu, Sijia and Hsieh, Cho-Jui},
  booktitle={International Conference on Learning Representations},
  year={2019}
}

@article{wu2023attacks,
  title={Attacks in Adversarial Machine Learning: A Systematic Survey from the Life-cycle Perspective},
  author={Wu, Baoyuan and Zhu, Zihao and Liu, Li and Liu, Qingshan and He, Zhaofeng and Lyu, Siwei},
  journal={arXiv preprint arXiv:2302.09457},
  year={2023}
}

@article{wu2021rethinking,
  title={Rethinking infonce: How many negative samples do you need?},
  author={Wu, Chuhan and Wu, Fangzhao and Huang, Yongfeng},
  journal={arXiv preprint arXiv:2105.13003},
  year={2021}
}

@inproceedings{qi2022revisiting,
  title={Revisiting the assumption of latent separability for backdoor defenses},
  author={Qi, Xiangyu and Xie, Tinghao and Li, Yiming and Mahloujifar, Saeed and Mittal, Prateek},
  booktitle={The eleventh international conference on learning representations},
  year={2022}
}

% 加一些最新方法

@inproceedings{jiang2023color,
  title={Color backdoor: A robust poisoning attack in color space},
  author={Jiang, Wenbo and Li, Hongwei and Xu, Guowen and Zhang, Tianwei},
  booktitle={Proceedings of the IEEE/CVF Conference on Computer Vision and Pattern Recognition},
  pages={8133--8142},
  year={2023}
}

@inproceedings{zhao2022defeat,
  title={Defeat: Deep hidden feature backdoor attacks by imperceptible perturbation and latent representation constraints},
  author={Zhao, Zhendong and Chen, Xiaojun and Xuan, Yuexin and Dong, Ye and Wang, Dakui and Liang, Kaitai},
  booktitle={Proceedings of the IEEE/CVF Conference on Computer Vision and Pattern Recognition},
  pages={15213--15222},
  year={2022}
}

@inproceedings{liu2020reflection,
  title={Reflection backdoor: A natural backdoor attack on deep neural networks},
  author={Liu, Yunfei and Ma, Xingjun and Bailey, James and Lu, Feng},
  booktitle={Computer Vision--ECCV 2020: 16th European Conference, Glasgow, UK, August 23--28, 2020, Proceedings, Part X 16},
  pages={182--199},
  year={2020},
  organization={Springer}
}

@inproceedings{khaddaj2023rethinking,
  title={Rethinking backdoor attacks},
  author={Khaddaj, Alaa and Leclerc, Guillaume and Makelov, Aleksandar and Georgiev, Kristian and Salman, Hadi and Ilyas, Andrew and Madry, Aleksander},
  booktitle={International Conference on Machine Learning},
  pages={16216--16236},
  year={2023},
  organization={PMLR}
}

@article{chen2022linkbreaker,
  title={LinkBreaker: Breaking the backdoor-trigger link in DNNs via neurons consistency check},
  author={Chen, Zhenzhu and Wang, Shang and Fu, Anmin and Gao, Yansong and Yu, Shui and Deng, Robert H},
  journal={IEEE Transactions on Information Forensics and Security},
  volume={17},
  pages={2000--2014},
  year={2022},
  publisher={IEEE}
}

@inproceedings{zhang2022purifier,
  title={Purifier: Plug-and-play backdoor mitigation for pre-trained models via anomaly activation suppression},
  author={Zhang, Xiaoyu and Jin, Yulin and Wang, Tao and Lou, Jian and Chen, Xiaofeng},
  booktitle={Proceedings of the 30th ACM International Conference on Multimedia},
  pages={4291--4299},
  year={2022}
}
@inproceedings{wang2023mm,
  title={Mm-bd: Post-training detection of backdoor attacks with arbitrary backdoor pattern types using a maximum margin statistic},
  author={Wang, Hang and Xiang, Zhen and Miller, David J and Kesidis, George},
  booktitle={2024 IEEE Symposium on Security and Privacy (SP)},
  pages={15--15},
  year={2023},
  organization={IEEE Computer Society}
}

@article{shi2024black,
  title={Black-box Backdoor Defense via Zero-shot Image Purification},
  author={Shi, Yucheng and Du, Mengnan and Wu, Xuansheng and Guan, Zihan and Sun, Jin and Liu, Ninghao},
  journal={Advances in Neural Information Processing Systems},
  volume={36},
  year={2024}
}